Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.support.renderingcontrol
Class RenderingControlLastChange

    java.lang.Object
      org.teleal.cling.support.lastchange.LastChange<Event>
          org.teleal.cling.support.renderingcontrol.RenderingControlLastChange

    public class RenderingControlLastChange

extends LastChange<Event>

Constructor Summary
`RenderingControlLastChange()`
`RenderingControlLastChange(String serialized)`

Method Summary
`protected void` | `clear(Event event)`
`protected org.teleal.cling.model.types.UnsignedIntegerFourBytes[]` | `getInstanceIds(Event event)`
`protected
`<V> V`
` | `getStateVariable(Event event, org.teleal.cling.model.types.UnsignedIntegerFourBytes instanceId, Class<V> stateVariableType)`
`Long` | `getVolumeValue(long instanceId, Channel channel)`
`Long` | `getVolumeValue(org.teleal.cling.model.types.UnsignedIntegerFourBytes instanceId, Channel channel)`
`protected boolean` | `isEmptyString(Event event)`
`protected void` | `setStateVariable(Event event, org.teleal.cling.model.types.UnsignedIntegerFourBytes instanceID, Object o)`

Methods inherited from class org.teleal.cling.support.lastchange.LastChange
`fire, getInstanceIds, getStateVariable, reset, setStateVariable, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RenderingControlLastChange

    public RenderingControlLastChange()

### RenderingControlLastChange

    public RenderingControlLastChange(String serialized)

Method Detail

### clear

    protected void clear(Event event)

  Specified by:
    `clear` in class `LastChange<Event>`

### setStateVariable

    protected void setStateVariable(Event event,
                                    org.teleal.cling.model.types.UnsignedIntegerFourBytes instanceID,
                                    Object o)

  Specified by:
    `setStateVariable` in class `LastChange<Event>`

### isEmptyString

    protected boolean isEmptyString(Event event)

  Specified by:
    `isEmptyString` in class `LastChange<Event>`

### getStateVariable

    protected <V> V getStateVariable(Event event,
                                     org.teleal.cling.model.types.UnsignedIntegerFourBytes instanceId,
                                     Class<V> stateVariableType)

  Specified by:
    `getStateVariable` in class `LastChange<Event>`

### getInstanceIds

    protected org.teleal.cling.model.types.UnsignedIntegerFourBytes[] getInstanceIds(Event event)

  Specified by:
    `getInstanceIds` in class `LastChange<Event>`

### getVolumeValue

    public Long getVolumeValue(org.teleal.cling.model.types.UnsignedIntegerFourBytes instanceId,
                               Channel channel)

### getVolumeValue

    public Long getVolumeValue(long instanceId,
                               Channel channel)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.